package com.ebei.screen.common.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 统一响应对象
 *
 * @author Levi
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ResponseBean<T> {

    /**
     * 响应状态码
     */
    private Integer status;

    /**
     * 响应信息
     */
    private String message;

    /**
     * 响应具体内容
     */
    private T data;

}
